module ApiFlashcards
  include ActionController::Serialization
  class ApplicationController < ActionController::API
    before_action :authenticate_basic
    layout false

    private

    def authenticate_basic
      auth = authenticate_or_request_with_http_basic { |e, p| User.authenticate(e, p) }
      render json: { message: "Authentication failed" }, status: 401 unless auth
    end
  end
end
